### Method

# WPEWebKit NetworkSession download_uri

since: 2.40

#### Declaration [src]

    WebKitDownload*
    webkit_network_session_download_uri (
      WebKitNetworkSession* session,
      const char* uri
    )

#### Description [src]

Requests downloading of the specified URI string.

The download operation will not be associated to any `WebKitWebView`, if you are interested in starting a download from a particular `WebKitWebView` use `webkit_web_view_download_uri()` instead.

Available since: 2.40

#### Parameters

`uri`

  Type: `const char*`

  The URI to download.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `WebKitDownload`

A new `WebKitDownload` representing the download operation.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.